<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\EMails\Anzeigen;


class EmailAnzeigen5Presenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getView()
  {
    return new EMailAnzeigen5View($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new EMailAnzeigen5ViewModel();
    $viewModel->datdoc = $this->useCaseResponse->datdoc;

    if ($viewModel->datdoc->info !== '') {
      $rtfConverter = new \Kufer\Web\Classes\Rvf\RvfToTextConverter($viewModel->datdoc->info);
      $viewModel->datdoc->info = $rtfConverter->toText();
    }

    return $viewModel;
  }
}